# Class GenerateIdeaWorkspace

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.plugins.ide.api.GeneratorTask<Workspace>
org.gradle.plugins.ide.api.XmlGeneratorTask<Workspace>
org.gradle.plugins.ide.idea.GenerateIdeaWorkspace

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Named, ExtensionAware, Task, Configurable<Task>`

@Deprecated @DisableCachingByDefault(because="Not made cacheable, yet") public abstract class GenerateIdeaWorkspace extends XmlGeneratorTask<Workspace>
Deprecated.
Will be removed in Gradle 10.
Generates an IDEA workspace file *only* for root project. There's little you can configure about workspace generation at the moment.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from class GeneratorTask

  `afterConfigured, beforeConfigured, domainObject, generator`

  ### Fields inherited from interface Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateIdeaWorkspace()`
  Deprecated.
  `GenerateIdeaWorkspace(IdeaWorkspace workspace)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `configure(Workspace xmlWorkspace)`
  Deprecated.
  `protected Workspace`
  `create()`
  Deprecated.
  `protected void`
  `generate()`
  Deprecated.
  `IdeaWorkspace`
  `getWorkspace()`
  Deprecated.
  The Idea workspace model containing the details required to generate the workspace file.
  `org.gradle.internal.xml.XmlTransformer`
  `getXmlTransformer()`
  Deprecated.
  `void`
  `setWorkspace(IdeaWorkspace workspace)`
  Deprecated.

  ### Methods inherited from class GeneratorTask

  `getIncremental, getInputFile, getInputFileIfExists, getInstantiator, getOutputFile, setInputFile, setOutputFile`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getLoggingManager, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### GenerateIdeaWorkspace

    public GenerateIdeaWorkspace()
    Deprecated.

  - ### GenerateIdeaWorkspace

    @Inject public GenerateIdeaWorkspace(IdeaWorkspace workspace)
    Deprecated.

- ## Method Details

  - ### generate

    protected void generate()
    Deprecated.
    Overrides:
      `generate` in class `GeneratorTask<Workspace>`

  - ### create

    protected Workspace create()
    Deprecated.
    Specified by:
      `create` in class `XmlGeneratorTask<Workspace>`

  - ### configure

    protected void configure(Workspace xmlWorkspace)
    Deprecated.
    Specified by:
      `configure` in class `XmlGeneratorTask<Workspace>`

  - ### getXmlTransformer

    public org.gradle.internal.xml.XmlTransformer getXmlTransformer()
    Deprecated.
    Overrides:
      `getXmlTransformer` in class `XmlGeneratorTask<Workspace>`

  - ### getWorkspace

    @Internal public IdeaWorkspace getWorkspace()
    Deprecated.
    The Idea workspace model containing the details required to generate the workspace file.

  - ### setWorkspace

    public void setWorkspace(IdeaWorkspace workspace)
    Deprecated.